# MatGetRowSum

Gets the sum of each row of the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetRowSum(Mat mat, Vec v)

Collective on Mat and Vec

### Input Parameters

mat -the matrix

### Output Parameter

v -the vector for storing the maximums

Notes: This code is slow since it is not currently specialized for different formats

### See Also

MatGetDiagonal(), MatGetSubMatrices(), MatGetSubmatrix(), MatGetRowMax(), MatGetRowMin()

Level:intermediate
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages